import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconPreviewOpen = (props: IconProps) => {
    return <Icon  id="IconPreviewOpen" {...props}>
        <path fillRule="evenodd" clipRule="evenodd" d="M4.29078 8.7301C6.16482 7.17673 8.89046 5.5 12 5.5C15.1096 5.5 17.8352 7.17673 19.7092 8.7301C20.6605 9.51854 21.4277 10.3047 21.9576 10.8937C22.2231 11.1888 22.4305 11.4362 22.5732 11.6119C22.6445 11.6997 22.6998 11.7698 22.7381 11.8191C22.7572 11.8438 22.7722 11.8633 22.7828 11.8772L22.7954 11.8939L22.7993 11.899L22.8006 11.9008C22.8008 11.901 22.8015 11.902 22 12.5C22.8015 13.098 22.8013 13.0983 22.8011 13.0986L22.7993 13.101L22.7954 13.1061L22.7828 13.1228C22.7722 13.1367 22.7572 13.1562 22.7381 13.1809C22.6998 13.2302 22.6445 13.3003 22.5732 13.3881C22.4305 13.5638 22.2231 13.8112 21.9576 14.1063C21.4277 14.6953 20.6605 15.4815 19.7092 16.2699C17.8352 17.8233 15.1096 19.5 12 19.5C8.89046 19.5 6.16482 17.8233 4.29078 16.2699C3.33958 15.4815 2.57229 14.6953 2.04242 14.1063C1.77691 13.8112 1.56949 13.5638 1.42685 13.3881C1.3555 13.3003 1.30025 13.2302 1.26195 13.1809C1.24279 13.1562 1.22786 13.1367 1.21726 13.1228L1.20462 13.1061L1.20076 13.101L1.19945 13.0992C1.19924 13.099 1.19855 13.098 2.00002 12.5C1.19855 11.902 1.19874 11.9017 1.19895 11.9014L1.20076 11.899L1.20462 11.8939L1.21726 11.8772C1.22786 11.8633 1.24279 11.8438 1.26195 11.8191C1.30025 11.7698 1.3555 11.6997 1.42685 11.6119C1.56949 11.4362 1.77691 11.1888 2.04242 10.8937C2.57229 10.3047 3.33958 9.51854 4.29078 8.7301ZM2.00002 12.5L1.19895 11.9014C0.934233 12.2562 0.933836 12.7433 1.19855 13.098L2.00002 12.5ZM3.29221 12.5C3.36397 12.583 3.4431 12.6729 3.5293 12.7687C4.01149 13.3047 4.70867 14.0185 5.56711 14.7301C7.31236 16.1767 9.58672 17.5 12 17.5C14.4133 17.5 16.6877 16.1767 18.4329 14.7301C19.2914 14.0185 19.9885 13.3047 20.4707 12.7687C20.5569 12.6729 20.6361 12.583 20.7078 12.5C20.6361 12.417 20.5569 12.3271 20.4707 12.2313C19.9885 11.6953 19.2914 10.9815 18.4329 10.2699C16.6877 8.82327 14.4133 7.5 12 7.5C9.58672 7.5 7.31236 8.82327 5.56711 10.2699C4.70867 10.9815 4.01149 11.6953 3.5293 12.2313C3.4431 12.3271 3.36397 12.417 3.29221 12.5ZM22 12.5L22.8011 13.0986C23.0658 12.7438 23.0662 12.2567 22.8015 11.902L22 12.5ZM8.50002 12.5C8.50002 10.567 10.067 9 12 9C13.933 9 15.5 10.567 15.5 12.5C15.5 14.433 13.933 16 12 16C10.067 16 8.50002 14.433 8.50002 12.5ZM12 11C11.1716 11 10.5 11.6716 10.5 12.5C10.5 13.3284 11.1716 14 12 14C12.8284 14 13.5 13.3284 13.5 12.5C13.5 11.6716 12.8284 11 12 11Z" />
    </Icon>;
};

export default IconPreviewOpen;
